Package com.independentsoft.office.spreadsheet

# Class Text

java.lang.Object
com.independentsoft.office.spreadsheet.Text

public class Text extends Object
The Class Text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Text()`
  Instantiates a new text.
  `Text​(String text)`
  Instantiates a new text.
  `Text​(String text, boolean preserveSpace)`
  Instantiates a new text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Text`
  `clone()`
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `isPreserveSpace()`
  Checks if is preserve space.
  `void`
  `setPreserveSpace​(boolean preserveSpace)`
  Sets the preserve space.
  `void`
  `setValue​(String text)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Text

    public Text()
    Instantiates a new text.

  - ### Text

    public Text​(String text)
    Instantiates a new text.
    Parameters:
      `text` - the text

  - ### Text

    public Text​(String text, boolean preserveSpace)
    Instantiates a new text.
    Parameters:
      `text` - the text
      `preserveSpace` - the preserve space

- ## Method Details

  - ### clone

    public Text clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String text)
    Sets the value.
    Parameters:
      `text` - the new value

  - ### isPreserveSpace

    public boolean isPreserveSpace()
    Checks if is preserve space.
    Returns:
      true, if is preserve space

  - ### setPreserveSpace

    public void setPreserveSpace​(boolean preserveSpace)
    Sets the preserve space.
    Parameters:
      `preserveSpace` - the new preserve space